spring:
  mvc:
    pathmatch:
      matching-strategy: ant_path_matcher
  config:
    activate:
      on-profile: prd
  redis:
    host: 192.168.0.222
    port: 22379
    password: '@yf_2022'
  datasource:
    type: com.zaxxer.hikari.HikariDataSource
    driver-class-name: com.mysql.cj.jdbc.Driver
    username: root
    password: yf_zsk
    url: jdbc:mysql://192.168.0.222:22306/mvp_archives?characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=false&allowMultiQueries=true&useJDBCCompliantTimezoneShift=true&useLegacyDatetimeCode=false&serverTimezone=Asia/Shanghai&rewriteBatchedStatements=true&nullCatalogMeansCurrent=true&allowPublicKeyRetrieval=true
    hikari:
      driver-class-name: ${spring.datasource.driver-class-name}
      jdbc-url: ${spring.datasource.url}
      username: ${spring.datasource.username}
      password: ${spring.datasource.password}
      pool-name: AmytangHikariCP
      minimum-idle: 20 # 最小空闲连接数量
      idle-timeout: 60000 # 空闲连接存活最大时间，默认600000（10分钟）
      maximum-pool-size: 100 # 连接池最大连接数，默认是10
      auto-commit: true  #此属性控制从池返回的连接的默认自动提交行为,默认值：true
      max-lifetime: 0 #此属性控制池中连接的最长生命周期，值0表示无限生命周期，默认1800000即30分钟

wx:
  corpid: wwbcb090af0dfe50e5
  corpsecret: R0nKkvsY-oF41fuQvUXZ-kFG3_g_Ce0bpZt6mByx524
  agentid: 1000009
  authUrl: https://wx.worfu.com/yifu-auth/method/oauth/wxLogin
  domainName: https://wx.worfu.com

#瓜子配置
gz:
  appkey: hr_eny00002
  appsecret: f30274f7b386469cb45a4e302b4b816b
  tid: 189061502af84752b1842e9c1ecd03d7
  appUrl: https://eimapi.guazi.com

#法大大专业版fasc配置
fasc:
  appId: 00003399
  appSecret: CIOV5RSQB6JSY5BKCWFWC026H6KXGX3C
  appUrl: https://api.fadada.com/api/v5
  openId: 1fdb6a439b4e4ef2ae0df7583a4cd5d0


